//
//  MyDate.swift
//  MyDate
//
//  Created by Mark Meretzky on 10/22/18.
//  Copyright © 2018 New York University School of Professional Studies. All rights reserved.
//

import Foundation;

class MyDate {
    static let length: [Int] = [   //a type property
         0,   //Unused.  Lets Jan have subscript 1, Feb have subscript 2, etc.
        31,   //January
        28,   //February,
        31,   //March
        30,   //April
        31,   //May
        30,   //June
        31,   //July
        31,   //August
        30,   //September
        31,   //October
        30,   //November
        31    //December
    ];
    
    var year: Int = 0;
    var month: Int = 0;
    var day: Int = 0;
    
    init() {   //An init method with no arguments.
    }
    
    init(month: Int, day: Int, year: Int) {   //An init method with three arguments.
        self.year = year;    //self.year is the property, year is the argument
        self.month = month;
        self.day = day;
    }
    
    //Change the contents of this object to the next date.
    //Assume that this year is not a leap year.
    
    func next() {
        if day < MyDate.length[month] {
            day += 1;
        } else {
            day = 1;   //Go to the first day of the next month.
            if month < 12 {
                month += 1;
            } else {
                month = 1;  //Go to the first month of the next year.
                year += 1;
            }
        }
    }
    
    class func monthsInYear() -> Int {
        return length.count - 1;   //minus the dummy element
    }
    
}
