//
//  ViewController.swift
//  MyDate
//
//  Created by Mark Meretzky on 10/22/18.
//  Copyright © 2018 New York University School of Professional Studies. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITextFieldDelegate {
    
    @IBOutlet weak var textField: UITextField!
    @IBOutlet weak var label: UILabel!

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        textField.delegate = self; //Let this view controller be teh delegate of teh text field.
    }
    
    //Called when return key is pressed.
    //Decide if the app should accept this input and hide the keyboard.
    
    func textFieldShouldReturn(_ textField: UITextField) -> Bool {
        if textField.text == "" {
            textField.placeholder = "<type a non-empty word>";
        } else {
            textField.resignFirstResponder();    //Hide keyboard.
        }
        return true;    //The text field should do its default behavior.
    }
    
    //Called when keyboard is hidden.
    //Process the text that was input.
    
    func textFieldDidEndEditing(_ textField: UITextField) {
        
        let s: String = textField.text!;
        let fields = s.split(separator: "/");
        let month: Int = Int(fields[0])!;
        let day: Int = Int(fields[1])!;
        let year: Int = Int(fields[2])!;
        
        /* ------------------------------- */
        let d: MyDate = MyDate(month: month, day: day, year: year);
        d.next();
        label.text = "The next date is \(d.month)/\(d.day)/\(d.year).";
        /* ------------------------------- */
    }

}
